Name:           python-pytest-fixture-config
Version:        1.2.11
Release:        6
Summary:        Simple configuration objects for Py.test fixtures
License:        MIT
URL:            https://pypi.python.org/pypi/pytest-fixture-config
Source0:        https://files.pythonhosted.org/packages/source/p/pytest-fixture-config/pytest-fixture-config-1.2.11.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel python3-devel python2-pytest python3-pytest
BuildRequires:  python2-six python3-six python2-setuptools_git python3-setuptools_git

%description
Simple configuration objects for Py.test fixtures.
Allows you to skip tests when their required config variables aren't set.

%package        -n python2-pytest-fixture-config
Summary:        Simple configuration objects for Py.test fixtures
%python_provide python2-pytest-fixture-config
Requires:       python2-pytest

%description    -n python2-pytest-fixture-config
Simple configuration objects for Py.test fixtures.
Allows you to skip tests when their required config variables aren't set.

%package        -n python3-pytest-fixture-config
Summary:        Simple configuration objects for Py.test fixtures
%python_provide python3-pytest-fixture-config
Requires:       python3-pytest

%description    -n python3-pytest-fixture-config
Simple configuration objects for Py.test fixtures.
Allows you to skip tests when their required config variables aren't set.

%prep
%autosetup -n pytest-fixture-config-1.2.11 -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-pytest-fixture-config
%doc README.md CHANGES.md
%{python2_sitelib}/*

%files -n python3-pytest-fixture-config
%doc README.md CHANGES.md
%{python3_sitelib}/*

%changelog
* Fri Jan 03 2020 zoushuangshuang <zoushuangshuang@huawei.com > - 1.2.11-6
- Package init
